Bug 215134 - kernel-devel don't depend on kernel
Summary: kernel-devel don't depend on kernel
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-11 09:56 UTC by Frank Büttner
Modified: 2015-01-04 22:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-20 23:41:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Frank Büttner 2006-11-11 09:56:04 UTC
Description of problem:
When remove an old kernel package via yum, the devel package of the old one will
not removed automatic.

Version-Release number of selected component (if applicable):
kernel-2.6.18-1.2200.fc5

How reproducible:
everytime

Steps to Reproduce:
1. update to an new kernel via yum update
2. reboot 
3. remove the old one via yum remove kernel-2.6.XXXXX
  
Actual results:
The devel package of the old kernel will not removed.


Expected results:
The the old kernel and his devel package will be removed.

Comment 1 Dave Jones 2006-11-20 23:41:42 UTC
this is deliberate.  People wanted the ability to build a module for multiple
kernel versions without necessarily having those kernels installed.

If I add the depends, it will pull the kernels in too.


Note You need to log in before you can comment on or make changes to this bug.